MI/RR IPM - Support #18695

State machine devices for Booster IPMs
01/05/2018 01:36 PM - Elliott McCrory

Status: Resolved Start date: 01/05/2018
Priority: Normal Due date:

Assignee: David Slimmer % Done: 100%
Category: Estimated time: 1.50 hour
Target version: Spent time: 1.50 hour
Description

These state machine devices exist for the Ml and RR IPMs:

V:M4HIPM

V:M3VIPM

V:R4HIPM

V:R3VIPM

Do comparable devices exist for the Booster IPM?

History

#1 - 01/05/2018 02:03 PM - David Slimmer

| can't write or read V: devices in the front end without running TCPORT, which | can't do for complicated reasons having to do with the MCP
Scanning program which remotely runs the Main IPM program to collect MCP plate performance data.

There is no V:BL4IPM device.

#2 - 01/05/2018 02:17 PM - David Slimmer

Memory refresh.
The V: devices Are written from the front ends indirectly through a method that does not require TCPORT.

| it looks like Charlie Briegel created the existing V: devices. Not sure if you can just clone one of the existing devices for V:BL4IPM.

#3 - 01/08/2018 07:48 AM - David Slimmer

- Status changed from New to Work in progress

#4 - 01/08/2018 09:14 AM - David Slimmer

- Status changed from Work in progress to Resolved
- % Done changed from 0 to 100

- Estimated time set to 1.50 h

| create V:BL4IPM and got it working with help from Brian Hendricks. This device reports the same states as the MI/RR V: devices.
